Advisory Details

March 25th, 2020

(Pwn2Own) TP-Link Archer A7 tdpServer Command Injection Remote Code Execution Vulnerability

ZDI-20-334
ZDI-CAN-9650

CVE ID CVE-2020-10882
CVSS SCORE 8.8, (AV:A/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H)
AFFECTED VENDORS TP-Link
AFFECTED PRODUCTS Archer A7
VULNERABILITY DETAILS

This vulnerability allows network-adjacent attackers to execute arbitrary code on affected installations of TP-Link Archer A7 AC1750 routers. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the tdpServer service, which listens on UDP port 20002 by default. When parsing the slave_mac parameter, the process does not properly validate a user-supplied string before using it to execute a system call. An attacker can leverage this vulnerability to execute code in the context of the root user.

ADDITIONAL DETAILS

Fixed in version A7(US)_V5_200220


DISCLOSURE TIMELINE
  • 2019-11-19 - Vulnerability reported to vendor
  • 2020-03-25 - Coordinated public release of advisory
CREDIT Pedro Ribeiro and Radek Domanski of Team Flashback
BACK TO ADVISORIES